import request from '@/utils/request'

// 查询圈子个人关系列表
export function listCircleCardInfo(query) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.unimall.circleCardInfo',
      _mt: 'list',
      ...query
    }
  })
}

// 查询圈子个人关系详细
export function getCircleCardInfo(comId) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.unimall.circleCardInfo',
      _mt: 'get',
      comId: comId
    }
  })
}

// 新增圈子个人关系
export function addCircleCardInfo(data) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.unimall.circleCardInfo',
      _mt: 'add',
      circleCardInfo: data
    }
  })
}

// 修改圈子个人关系
export function updateCircleCardInfo(data) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.unimall.circleCardInfo',
      _mt: 'update',
      circleCardInfo: data
    }
  })
}

// 删除圈子个人关系
export function delCircleCardInfo(comId) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.unimall.circleCardInfo',
      _mt: 'delete',
      comId: comId
    }
  })
}

// 导出圈子个人关系
export function exportCircleCardInfo(query) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.unimall.circleCardInfo',
      _mt: 'export',
      ...query
    }
  })
}
